<?xml version="1.0" encoding="UTF-8"?>
<web:WebServicesMap targetNamespace="ld:RetailApplication/CustomerManagement/ProfileService_ws" soapVersion="SOAP_1.1" transportType="HTTP" ADODotNETEnabled="false" basicAuthRequired="false" xmlns:web="http://www.bea.com/dsp/management/configuration/webservices">
    <web:dataServices>
        <web:dataService locator="ld:RetailApplication/CustomerManagement/ProfileService.ds">
            <web:function name="getOrderCount" arity="1" operation="getOrderCount" returnInHeader="false">
                <web:parameterMapping>
                    <web:parameter name="arg" wsdlMapping="SOAP_BODY"/>
                </web:parameterMapping>
            </web:function>
            <web:function name="getCustomerService" arity="1" operation="getCustomerService" returnInHeader="false">
                <web:parameterMapping>
                    <web:parameter name="profile" wsdlMapping="SOAP_BODY"/>
                </web:parameterMapping>
            </web:function>
            <web:function name="getOrderCounts" arity="1" operation="getOrderCounts" returnInHeader="false">
                <web:parameterMapping>
                    <web:parameter name="arg" wsdlMapping="SOAP_BODY"/>
                </web:parameterMapping>
            </web:function>
            <web:function name="getCustomerByCustID" arity="1" operation="getCustomerByCustID" returnInHeader="false">
                <web:parameterMapping>
                    <web:parameter name="custID" wsdlMapping="SOAP_BODY"/>
                </web:parameterMapping>
            </web:function>
            <web:function name="deletePROFILE" arity="1" operation="deletePROFILE" returnInHeader="false">
                <web:parameterMapping>
                    <web:parameter name="profile" wsdlMapping="SOAP_BODY"/>
                </web:parameterMapping>
            </web:function>
            <web:function name="getCustomerByZipID" arity="1" operation="getCustomerByZipID" returnInHeader="false">
                <web:parameterMapping>
                    <web:parameter name="zipID" wsdlMapping="SOAP_BODY"/>
                </web:parameterMapping>
            </web:function>
            <web:function name="updatePROFILE" arity="1" operation="updatePROFILE" returnInHeader="false">
                <web:parameterMapping>
                    <web:parameter name="profile" wsdlMapping="SOAP_BODY"/>
                </web:parameterMapping>
            </web:function>
            <web:function name="createPROFILE" arity="1" operation="createPROFILE" returnInHeader="false">
                <web:parameterMapping>
                    <web:parameter name="profile" wsdlMapping="SOAP_BODY"/>
                </web:parameterMapping>
            </web:function>
            <web:function name="getProfile" arity="0" operation="getProfile" returnInHeader="false"/>
            <web:function name="getServiceCase" arity="1" operation="getServiceCase" returnInHeader="false">
                <web:parameterMapping>
                    <web:parameter name="profile" wsdlMapping="SOAP_BODY"/>
                </web:parameterMapping>
            </web:function>
            <web:function name="getServiceCases" arity="1" operation="getServiceCases" returnInHeader="false">
                <web:parameterMapping>
                    <web:parameter name="profiles" wsdlMapping="SOAP_BODY"/>
                </web:parameterMapping>
            </web:function>
            <web:function name="getCustomerByLoginID" arity="1" operation="getCustomerByLoginID" returnInHeader="false">
                <web:parameterMapping>
                    <web:parameter name="loginID" wsdlMapping="SOAP_BODY"/>
                </web:parameterMapping>
            </web:function>
        </web:dataService>
    </web:dataServices>
</web:WebServicesMap>