<web:WebServicesMap targetNamespace="ld:RetailApplication/WebServices/RetailWebServices.ws" soapVersion="SOAP_1.1" transportType="HTTP" ADODotNETEnabled="false" basicAuthRequired="false" xmlns:web="http://www.bea.com/dsp/management/configuration/webservices">
    <web:dataServices>
        <web:dataService locator="ld:RetailApplication/OrderManagement/OrderService.ds">
            <web:function name="getApparelOrderByCustID" arity="1" operation="getApparelOrderByCustID" returnInHeader="false">
                <web:parameterMapping>
                    <web:parameter name="custID" wsdlMapping="SOAP_BODY"/>
                </web:parameterMapping>
            </web:function>
            <web:function name="getApparelOrderByOrderID" arity="1" operation="getApparelOrderByOrderID" returnInHeader="false">
                <web:parameterMapping>
                    <web:parameter name="orderID" wsdlMapping="SOAP_BODY"/>
                </web:parameterMapping>
            </web:function>
        </web:dataService>
        <web:dataService locator="ld:RetailApplication/OrderManagement/ProductService.ds">
            <web:function name="getApparelProduct" arity="0" operation="getApparelProduct" returnInHeader="false"/>
        </web:dataService>
        <web:dataService locator="ld:RetailApplication/CustomerManagement/CustomerService.ds">
            <web:function name="getCustomerService" arity="1" operation="getCustomerService" returnInHeader="false">
                <web:parameterMapping>
                    <web:parameter name="custID" wsdlMapping="SOAP_BODY"/>
                </web:parameterMapping>
            </web:function>
        </web:dataService>
        <web:dataService locator="ld:RetailApplication/CustomerManagement/ProfileService.ds">
            <web:function name="getCustomerByCustID" arity="1" operation="getCustomerByCustID" returnInHeader="false">
                <web:parameterMapping>
                    <web:parameter name="custID" wsdlMapping="SOAP_BODY"/>
                </web:parameterMapping>
            </web:function>
            <web:function name="getCustomerByZipID" arity="1" operation="getCustomerByZipID" returnInHeader="false">
                <web:parameterMapping>
                    <web:parameter name="zipID" wsdlMapping="SOAP_BODY"/>
                </web:parameterMapping>
            </web:function>
            <web:function name="getProfile" arity="0" operation="getProfile" returnInHeader="false"/>
            <web:function name="getCustomerByLoginID" arity="1" operation="getCustomerByLoginID" returnInHeader="false">
                <web:parameterMapping>
                    <web:parameter name="loginID" wsdlMapping="SOAP_BODY"/>
                </web:parameterMapping>
            </web:function>
        </web:dataService>
    </web:dataServices>
</web:WebServicesMap>