package client.java_and_ws.dynamic;

import client.java_and_ws.dynamic.Client;
import client.java_and_ws.dynamic.ClientComplexArg;
import client.java_and_ws.dynamic.ClientComplexArgList;
import client.java_and_ws.dynamic.ClientComplexArgs_andCRUD;
import client.java_and_ws.dynamic.ClientSimpleReturn;
import client.java_and_ws.dynamic.ClientWithAudit;

public class RunClients {
	/*
	 * DSP Client - run in a webapp or stand-alone, uses either java or web service mediator
	 * 
	 * Everything you need to know is in the run() method.
	 * 
	 * You will need in your classpath
	 * aldsp_3.2/ld-client.jar, 
	 * wlserver_10.0/weblogic.jar, 
	 * wlserver_10.0/wlclient.jar, 
	 * wlserver_10.0/wls-api.jar,
	 * modules/com.bea.core.sdo*.jar
	 * 
	 * If you are running as a Java Application from your 
	 * Dynamic Web Project, make sure that "WebLogic System Libraries"
	 * are *NOT* in the classpath.
	 * 
	 */
	public static void main(String[] args){
		String clientType=null;
		String classloadertypeStr=null;
		if(args.length > 0)clientType=args[0];
		if(args.length > 1)classloadertypeStr=args[1];
		(new Client(clientType, null, classloadertypeStr)).run();      
		(new ClientComplexArg(clientType, null, classloadertypeStr)).run();
		(new ClientComplexArgList(clientType, null, classloadertypeStr)).run();
		(new ClientComplexArgs_andCRUD(clientType, null, classloadertypeStr)).run();
		(new ClientSimpleReturn(clientType, null, classloadertypeStr)).run(); 
		(new ClientWithAudit(clientType, null, classloadertypeStr)).run();                
               
	}
}
